# T140String Class Reference

`#include <t140.h>`

## Public Types

| ZERO_WIDTH_NO_BREAK = 0xfeff
| UTF_NEWLINE = 0x2028
enum | { ZERO_WIDTH_NO_BREAK = 0xfeff, UTF_NEWLINE = 0x2028 }

## Public Member Functions

| T140String ()
| T140String (const BYTE *data, PINDEX len)
| T140String (const PBYTEArray &bytes)
| T140String (const char *chars)
| T140String (const PString &str)
PINDEX | GetLength () const
PINDEX | GetUTFLen (WORD c)
PINDEX | GetUTF (const BYTE *ptr, PINDEX len, WORD &ch)
PINDEX | GetUTF (PINDEX pos, WORD &ch)
PINDEX | AppendUnicode16 (WORD c)
PINDEX | AppendUTF (const BYTE *utf, PINDEX utfLen)
bool | AsString (PString &str)

## Protected Member Functions

PINDEX | SetUTF (BYTE *ptr, WORD c)

## Protected Attributes

PINDEX | length

## Detailed Description

Implement a T.140 encoded string.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  ZERO_WIDTH_NO_BREAK |
  UTF_NEWLINE |

## Constructor & Destructor Documentation

T140String::T140String | ( |  | ) |

T140String::T140String | ( | const BYTE * | data,
|  | PINDEX | len |
| ) |  |  |

T140String::T140String | ( | const PBYTEArray & | bytes | ) |

T140String::T140String | ( | const char * | chars | ) |

T140String::T140String | ( | const PString & | str | ) |

## Member Function Documentation

PINDEX T140String::AppendUnicode16 | ( | WORD | c | ) |

PINDEX T140String::AppendUTF | ( | const BYTE * | utf,
|  | PINDEX | utfLen |
| ) |  |  |

bool T140String::AsString | ( | PString & | str | ) |

PINDEX T140String::GetLength | ( |  | ) | const`[inline]`

PINDEX T140String::GetUTF | ( | PINDEX | pos,
|  | WORD & | ch |
| ) |  |  |

PINDEX T140String::GetUTF | ( | const BYTE * | ptr,
|  | PINDEX | len,
|  | WORD & | ch |
| ) |  |  |

PINDEX T140String::GetUTFLen | ( | WORD | c | ) |

PINDEX T140String::SetUTF | ( | BYTE * | ptr,
|  | WORD | c |
| ) |  |  | `[protected]`

## Field Documentation

PINDEX T140String::length `[protected]`

The documentation for this class was generated from the following file:

- t140.h